Bug 154990 - Deprecated www/node-devel, and upgrade www/node to latest version.
Deprecated www/node-devel, and upgrade www/node to latest version.
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Marcelo Araujo
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-24 02:30 UTC by linpct
Modified: 2011-03-18 14:10 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description linpct 2011-02-24 02:30:10 UTC
I am www/node and www/node-devel ports maintainer. 
Due to www/node (version 0.2) is too old, please help me use www/node-devel to replace www/node and then deprecate www/node-devel.
Thanks a lot.
Comment 1 Marcelo Araujo freebsd_committer 2011-02-25 00:19:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

I'll take it.
Comment 2 dfilter freebsd_committer 2011-03-18 13:56:10 UTC
araujo      2011-03-18 13:55:50 UTC

  FreeBSD ports repository

  Modified files:
    www/node             Makefile distinfo pkg-plist 
  Added files:
    www/node/files       patch-man-and-pkgconfig-path 
                         patch-platform-freebsd 
  Removed files:
    www/node/files       patch-libev-kqueue patch-man-path 
  Log:
  - Merging from www/node-devel to www/node.
  - Update to 0.4.2.
  
  PR:             ports/154990
  Submitted by:   Jin-Sih Lin <linpct@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.21      +6 -4      ports/www/node/Makefile
  1.17      +2 -2      ports/www/node/distinfo
  1.3       +0 -55     ports/www/node/files/patch-libev-kqueue (dead)
  1.1       +20 -0     ports/www/node/files/patch-man-and-pkgconfig-path (new)
  1.2       +0 -11     ports/www/node/files/patch-man-path (dead)
  1.1       +28 -0     ports/www/node/files/patch-platform-freebsd (new)
  1.9       +4 -1      ports/www/node/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 dfilter freebsd_committer 2011-03-18 14:01:39 UTC
araujo      2011-03-18 14:01:30 UTC

  FreeBSD ports repository

  Modified files:
    www/node-devel       Makefile 
  Log:
  - Mark IGNORE for a while in favor of www/node, and untill a development
    version come out.
  
  PR:             ports/154990
  Submitted by:   Jin-Sih Lin <linpct@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.11      +2 -0      ports/www/node-devel/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 dfilter freebsd_committer 2011-03-18 14:03:58 UTC
araujo      2011-03-18 14:03:44 UTC

  FreeBSD ports repository

  Modified files:
    .                    UPDATING 
  Log:
  - Add an entry to let users of www/node and www/node-devel know the latest
    changes done on both ports.
  
  PR:             ports/154990
  
  Revision  Changes    Path
  1.1042    +16 -1     ports/UPDATING
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Marcelo Araujo freebsd_committer 2011-03-18 14:07:21 UTC
State Changed
From-To: open->closed

I've marked IGNORE the www/node-devel and also merged it to www/node, 
also I've updated www/node to 0.4.2 and put an entry into UPDATING file 
about those changes and to let users know that is necessary do some 
migration if they want to follow the stable upstream.